log.h File Reference
`#include <stdio.h>`
Include dependency graph for log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | lightify_log (struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format,...)
void | log_stderr (struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format, va_list args)
int | log_priority (const char *priority)

## Function Documentation

void lightify_log | ( | struct lightify_ctx * | ctx,
|  | int | priority,
|  | const char * | file,
|  | int | line,
|  | const char * | fn,
|  | const char * | format,
|  |  | ...
| ) |  |

Definition at line 44 of file log.c.

int log_priority | ( | const char * | priority | ) |

Definition at line 62 of file log.c.

void log_stderr | ( | struct lightify_ctx * | ctx,
|  | int | priority,
|  | const char * | file,
|  | int | line,
|  | const char * | fn,
|  | const char * | format,
|  | va_list | args
| ) |  |

Definition at line 54 of file log.c.